Grand Master Ramos:
The Rogue is a unique profession among the three choices Human Fighters are offered. They choose agility over the Warrior's power, and profit over the Knight's honor. They prefer to carry small daggers and bows and arrows, and scout enemy camps without their footsteps making any sound. It would be a hundred times more difficult to win battles without them. Their missions include scouting, investigating, spying and assassination, among others. Rogues with great fame and reputation can change to the higher-level professions of the Hawkeye, who uses bows and arrows, or the Treasure Hunter, who uses daggers ... Of course, it is very difficult to reach that level. To become a Rogue, you must also bring a letter of recommendation from the Guard Captain Bezique. It is a token that shows you are qualified to become a Rogue.
Ask about Captain Bezique's letter of recommendation
Return